
Name:		domino-environ
Version:	0.2
Release:	2ucvt

%define		sbin_dir	/usr/sbin
%define		init_dir	/etc/init.d
%define		sysconfdir	/etc/sysconfig
%define		logdir		/var/log/domino

Summary:	Prepare Domino environment after installation
Group:		System/Servers
Packager:	Ilya Evseev <evseev@ucvt.ru>
URL:		http://www.evseev.ucvt.ru
Vendor:		UCVT
License:	GPL
BuildArch:	noarch
Requires:	shadow-utils, su, screen
Provides:	libnotes.so

Source:		%{name}-%{version}.zip

%description

Domino-environ script prepares stuff for running Lotus Domino server
     and appropriate tools. Must be installed after Domino.

   * Create "notes" user account if not exists.
   * Assign home directory of "notes" user to Domino data directory.
   
   * Move original data directory (Lotus-defined) to your location
     and redirect old location to new using symbolic link.
   * Redirect standard WWW data directory to Domino WWW directory
     using symbolic link.
     
   * Generate ".profile" and ".i18n" files in "notes" home directory.
   * Validate ownership and permissions of data directory.
   
   * Create /lib symlink to Notes dynamic library.
   * Create symlink to default messages directory for actual locale.

Service script for RedHat-like Linux is included too.

%files
%{sbin_dir}/domino-environ
%{init_dir}/domino
%config %{sysconfdir}/domino-environ
%dir %attr(750,notes,notes) %{logdir}

#-----------------------------------------------------------------------

%prep
%setup -q -c

#-----------------------------------------------------------------------

%install

function my_install() {	# $1 = perms, $2 = srcfile, $3 = destdir, $4 = destname
	[ -n "$4" ] && DESTNAME=$4 || DESTNAME=$2
	install -D -m $1 $2 ${RPM_BUILD_ROOT}$3/$DESTNAME
}

my_install 750 domino-environ      %{sbin_dir}
my_install 744 domino-service      %{init_dir}   domino
my_install 640 domino-environ.conf %{sysconfdir} domino-environ
%__mkdir_p ${RPM_BUILD_ROOT}%{logdir}

#-----------------------------------------------------------------------

%post

domino-environ check
echo ""
echo "Run now: %{sbin_dir}/domino-environ init"
echo ""

chkconfig domino on

#-----------------------------------------------------------------------

%preun

service domino stop
chkconfig domino off
domino-environ undo

#-----------------------------------------------------------------------

%changelog
* Sun Apr 27 2003 Ilya Evseev <evseev@ucvt.ru> 0.2-2ucvt
- added package dependencies from su and screen
- small output realignments in domino-environ script

* Sun Apr 27 2003 Ilya Evseev <evseev@ucvt.ru> 0.2-1ucvt
- move initialization stuff from spec-file to separate script; debug it
- add service script

* Mon Feb 10 2003 Ilya Evseev <evseev@ucvt.ru> 0.1-1ucvt
- initial build

## EOF ##
